#!/bin/sh

# 1 - file to send
# 2 - to
# 3 - message id

route="1234@12345678"
key_secret="209110...824B990"

if [ -z "$3" ]
then
	id=`tr -dc 'a-zA-Z0-9' < /dev/urandom | head -c10`
else
	id="$3"
fi

date=$(date -Iseconds)
filemd5=$(md5sum "$1" | head -c 32)
key=$(echo -n "$date$route$2$id$filemd5$key_secret" | shasum -a 512 | head -c 128)

curl -F "data=@$1" https://eu-nl.api.go-integrate.me/1/send-message \
	--header "request-timestamp: $date" \
	--header "request-from: $route" \
	--header "request-key: $key" \
	--header "pay-for-reply: 1" \
	--header "message-id: $id" \
	--header "message-to: $2" \
	--header "message-priority: normal" \
	--header "message-md5: $filemd5" \
	--header "message-expires-after: 120"