#!/bin/sh

# 1 - last seen message id

route="1234@12345678"
key_secret="209110...824B990"

temp_dir="/tmp/go-integrate/incoming/"

last_message=""
filename=""

echo "$(date -Iseconds) | Starting"

if [ ! -d $temp_dir ]; then
	mkdir -p $temp_dir
	echo "$(date -Iseconds) | Temp dir not found, creating"
fi

while true
do

	date=$(date -Iseconds)
	key=$(echo -n "$date$route$key_secret" | shasum -a 512 | head -c 128)

	if [ "$last_message" != "" ]; then
		echo "$(date -Iseconds) | Restarting from $last_message"
	fi

	curl "https://eu-nl.api.go-integrate.me/1/wait-next-message/$last_message" \
		--silent \
		--header "request-timestamp: $date" \
		--header "request-from: $route" \
		--header "request-key: $key" \
		-o ${temp_dir}data \
		-D ${temp_dir}headers

	if test -f ${temp_dir}headers; then
		tmp=$(cat ${temp_dir}headers | grep Message-Link)
		filename=$(echo -n $tmp | cut -d ' ' -f 2)
		filename=$(echo $filename | tr -d '\n\t\r ')

		if [ "$filename" != "" ]; then
			last_message=$filename
			echo "$(date -Iseconds) | Received $filename"
		fi
	fi

done
